/*
                   Endeavour Pointer Cursor Structure
 */

#ifndef EDVCURSOR_H
#define EDVCURSOR_H

#include <gtk/gtk.h>


/*
 *      Cursor codes:
 */
#define EDV_CURSOR_CODE_BUSY    0


/*
 *	Cursor structure:
 */
typedef struct {

	gint code;		/* One of EDV_CURSOR_CODE_*. */
	GdkCursor *cursor;	/* Cursor loaded from GDK. */

} edv_cursor_struct;


extern edv_cursor_struct *EDVCursorNewByGDKPreset(
	gint cursor_code, GdkCursorType gdk_cursor_type
);
extern void EDVCursorDelete(edv_cursor_struct *cur);


#endif	/* EDVCURSOR_H */
