/*
                    Endeavour Find Object Procedures
 */

#ifndef EDVFIND_H
#define EDVFIND_H

#include <sys/stat.h>
#include <glib.h>


extern gint EDVFindObjectByContent(
        const gchar *start_dir, const gchar *expression,
        gbool recursive, gbool case_sensitive,
        gpointer client_data,
        gint (*progress_cb)(const gchar *, gfloat, gpointer),
        void (*match_cb)(
                const gchar *, const struct stat *, const gchar *, gpointer
        )
);

extern gint EDVFindObjectByName(
	const gchar *start_dir, const gchar *expression,
        gbool recursive, gbool case_sensitive,
	gpointer client_data,
	gint (*progress_cb)(const gchar *, gfloat, gpointer),
	void (*match_cb)(const gchar *, const struct stat *, gpointer)
);




#endif	/* EDVFIND_H */
